-- na danou polohu zobrazi obrazek
local picture = {
  up= {name = "/WIDGETS/SWImg/img/redrun.png", img = nil},
  mid= {name = "/WIDGETS/SWImg/img/orange.png", img = nil},
  down = {name = "/WIDGETS/SWImg/img/greenstop.png", img = nil},
}

local options = {
  {"Switch", SOURCE, 0},
  {"Top", VALUE, 0, 0, 100},
  {"Left", VALUE, 0, 0, 200},
}

local function create(zone, options)
  local wgt = {zone = zone, options = options}
  picture.up.img = Bitmap.open(picture.up.name)
  picture.mid.img = Bitmap.open(picture.mid.name)
  picture.down.img = Bitmap.open(picture.down.name)
  
  return wgt
end

local function update(wgt, options)
  if (wgt == nil) then
    return
  end
  wgt.options = options
end

local function background(wgt)
  return
end

------------------------------------------------------------

function refresh(wgt)
  if (wgt == nil) then
    return
  end

  if (wgt.options == nil) then
    return
  end

  if (wgt.options.Switch == nil) then
    return
  end

  local swPos = getValue(wgt.options.Switch)
 
  local x = wgt.zone.x + wgt.options.Left
  local y = wgt.zone.y + wgt.options.Top

  local scale = 100 
  if     wgt.zone.h > 165 then scale = 100
  elseif wgt.zone.h > 145 then scale = 100
  elseif wgt.zone.h >  65 then scale = 40
  elseif wgt.zone.h >  35 then scale = 25
  elseif wgt.zone.h >  28 then scale = 20
  end

  if (swPos > 10) then
    lcd.drawBitmap(picture.up.img, x, y, scale)
  elseif (swPos < -10 ) then
    lcd.drawBitmap(picture.down.img,x, y, scale)
  else 
    lcd.drawBitmap(picture.mid.img, x, y, scale)
  end

  return
end

return {
  name = "SWImg",
  options = options,
  create = create,
  update = update,
  background = background,
  refresh = refresh
}
